Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.rule.impl
Class RuleContextProviderImpl

    java.lang.Object
      org.jbpm.services.task.rule.impl.RuleContextProviderImpl

All Implemented Interfaces:
  RuleContextProvider

    @ApplicationScoped
    public class RuleContextProviderImpl

extends Object
implements RuleContextProvider

Constructor Summary
`RuleContextProviderImpl()`

Method Summary
`void` | `addGlobals(String scope, Map<String,Object> global)`
`void` | `addKieBase(String scope, KieBase kbase)`
`Map<String,Object>` | `getGlobals(String scope)`
`KieBase` | `getKieBase(String scope)`
`void` | `initialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleContextProviderImpl

    public RuleContextProviderImpl()

Method Detail

### initialize

    @PostConstruct
    public void initialize()

### getKieBase

    public KieBase getKieBase(String scope)

  Specified by:
    `getKieBase` in interface `RuleContextProvider`

### getGlobals

    public Map<String,Object> getGlobals(String scope)

  Specified by:
    `getGlobals` in interface `RuleContextProvider`

### addGlobals

    public void addGlobals(String scope,
                           Map<String,Object> global)

  Specified by:
    `addGlobals` in interface `RuleContextProvider`

### addKieBase

    public void addKieBase(String scope,
                           KieBase kbase)

  Specified by:
    `addKieBase` in interface `RuleContextProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.